#### ODSORG

#### Synopsis

    HELP:   (HOST) File organization for output file
    TYPE:   NUMBER
    SYNTAX: ODSORG/ODSO=SEQ/PS/LIB/PDS/USS/EDS/ESDS/KDS/KSDS/RDS/RRDS

#### Description

File organization for output file (z/OS only).

See also parameter OUTRECFORMAT.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `ODSORG=PS/ESDS/KSDS/LDS/RRDS` (FCBTYPE=file control block type)

Values

- z/OS
  - `PS` - sequential
  - `ESDS` - VSAM-ESDS
  - `KSDS` - VSAM-KSDS
  - `LDS` - VDSAM-LDS
  - `RRDS` - VSAM-RRDS

Default

- z/OS
  - `PS`

Valid for

- compression

#### Selections

- `SEQ - Sequential data set [DEFAULT]`
- `PS - Sequential data set [DEFAULT]`
- `LIB - Library (ZOS-PDSE)`
- `PDS - Partitioned data set (ZOS-PDS)`
- `USS - UNIX files (path based)`
- `EDS - Entry data set (VSAM-ESDS)`
- `ESDS - Entry data set (VSAM-ESDS)`
- `KDS - Keyed data set (VSAM-KSDS)`
- `KSDS - Keyed data set (VSAM-KSDS)`
- `RDS - Relative data set (VSAM-RRDS)`
- `RRDS - Relative data set (VSAM-RRDS)`